bandes
Contributor
Contributor

Error at installing Workstation Pro 16.1.2 in OpenSUSE Tumbleweed

I've been using Workstation for a long time, but when upgrading form 16.1.1 to 16.1.2 i am not able to install it anymore

Here is the log i receive:

/var/log/vmware-installer:

"[2021-05-22 11:55:57,863]  
[2021-05-22 11:55:57,863]  
[2021-05-22 11:55:57,864] Installer running.
[2021-05-22 11:55:57,864] Command Line Arguments:
[2021-05-22 11:55:57,864] ['/tmp/vmis.VuVHFp/install/vmware-installer/vmware-installer.py', '--set-setting', 'vmware-installer', 'libconf', '', '--install-component', '/tmp/vmis.VuVHFp/install/vmware-installer', '
--install-bundle', '/home/brick/Baixades/./VMware-Workstation-Full-16.1.2-17966106.x86_64.bundle', '']
[2021-05-22 11:55:57,865] Could not set up curses...  Falling back on null term type.
[2021-05-22 11:55:57,889] System installer version is: 3.0.0.17966106
[2021-05-22 11:55:57,889] Running installer version is: 3.0.0.17966106
[2021-05-22 11:55:57,889] Opening database file /etc/vmware-installer/database
[2021-05-22 11:55:57,938] Could not locate installer App Control.
[2021-05-22 11:55:58,094] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/versions.py already exists, overwriting.
[2021-05-22 11:55:58,108] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:58,117] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/update.py already exists, overwriting.
[2021-05-22 11:55:58,132] destination /tmp/tmpohj1z9dk/.installer/16.1.2/__init__.py already exists, overwriting.
[2021-05-22 11:55:58,138] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:58,157] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/versions.py already exists, overwriting.
[2021-05-22 11:55:58,164] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:58,187] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:58,195] destination /tmp/tmpohj1z9dk/.installer/16.1.2/__init__.py already exists, overwriting.
[2021-05-22 11:55:58,202] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/update.py already exists, overwriting.
[2021-05-22 11:55:58,242] Kernel release string 5.12.4-1-default
[2021-05-22 11:55:58,243] Found Linux kernel version (5, 12, 4)
[2021-05-22 11:55:58,247] Glibc brand string ldd (GNU libc) 2.33
[2021-05-22 11:55:58,248] Found glibc version (2, 33)
[2021-05-22 11:55:58,359] destination /tmp/tmpohj1z9dk/.installer/11.2.6/__init__.py already exists, overwriting.
[2021-05-22 11:55:58,367] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/versions.py already exists, overwriting.
[2021-05-22 11:55:58,375] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:58,393] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/update.py already exists, overwriting.
[2021-05-22 11:55:58,400] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:58,411] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:58,421] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/update.py already exists, overwriting.
[2021-05-22 11:55:58,433] destination /tmp/tmpohj1z9dk/.installer/11.2.6/__init__.py already exists, overwriting.
[2021-05-22 11:55:58,445] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/versions.py already exists, overwriting.
[2021-05-22 11:55:58,462] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:58,472] destination /tmp/tmpohj1z9dk/.installer/11.2.6/__init__.py already exists, overwriting.
[2021-05-22 11:55:58,479] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:58,487] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:58,495] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/versions.py already exists, overwriting.
[2021-05-22 11:55:58,511] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/update.py already exists, overwriting.
[2021-05-22 11:55:58,521] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/versions.py already exists, overwriting.
[2021-05-22 11:55:58,535] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:58,543] destination /tmp/tmpohj1z9dk/.installer/11.2.6/__init__.py already exists, overwriting.
[2021-05-22 11:55:58,557] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/update.py already exists, overwriting.
[2021-05-22 11:55:58,565] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:58,576] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:58,589] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/versions.py already exists, overwriting.
[2021-05-22 11:55:58,605] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:58,614] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/update.py already exists, overwriting.
[2021-05-22 11:55:58,623] destination /tmp/tmpohj1z9dk/.installer/11.2.6/__init__.py already exists, overwriting.
[2021-05-22 11:55:58,632] destination /tmp/tmpohj1z9dk/.installer/11.2.6/__init__.py already exists, overwriting.
[2021-05-22 11:55:58,638] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/versions.py already exists, overwriting.
[2021-05-22 11:55:58,646] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:58,655] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/update.py already exists, overwriting.
[2021-05-22 11:55:58,671] destination /tmp/tmpohj1z9dk/.installer/11.2.6/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:58,682] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/update.py already exists, overwriting.
[2021-05-22 11:55:58,691] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/versions.py already exists, overwriting.
[2021-05-22 11:55:58,704] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:58,714] destination /tmp/tmpohj1z9dk/.installer/16.1.2/__init__.py already exists, overwriting.
[2021-05-22 11:55:58,729] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:58,799] destination /tmp/tmpohj1z9dk/.installer/16.1.2/__init__.py already exists, overwriting.
[2021-05-22 11:55:58,807] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:58,816] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/versions.py already exists, overwriting.
[2021-05-22 11:55:58,824] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/update.py already exists, overwriting.
[2021-05-22 11:55:58,841] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:58,904] destination /tmp/tmpohj1z9dk/.installer/1.17.0/include/update.py already exists, overwriting.
[2021-05-22 11:55:58,912] destination /tmp/tmpohj1z9dk/.installer/1.17.0/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:58,920] destination /tmp/tmpohj1z9dk/.installer/1.17.0/__init__.py already exists, overwriting.
[2021-05-22 11:55:58,926] destination /tmp/tmpohj1z9dk/.installer/1.17.0/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:58,943] destination /tmp/tmpohj1z9dk/.installer/1.17.0/include/versions.py already exists, overwriting.
[2021-05-22 11:55:58,966] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:58,974] destination /tmp/tmpohj1z9dk/.installer/16.1.2/__init__.py already exists, overwriting.
[2021-05-22 11:55:58,980] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/versions.py already exists, overwriting.
[2021-05-22 11:55:58,988] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:58,996] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/update.py already exists, overwriting.
[2021-05-22 11:55:59,016] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:59,024] destination /tmp/tmpohj1z9dk/.installer/16.1.2/__init__.py already exists, overwriting.
[2021-05-22 11:55:59,031] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/versions.py already exists, overwriting.
[2021-05-22 11:55:59,039] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:59,048] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/update.py already exists, overwriting.
[2021-05-22 11:55:59,061] destination /tmp/tmpohj1z9dk/.installer/16.1.2/vmware-workstation.py already exists, overwriting.
[2021-05-22 11:55:59,074] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/systemType.py already exists, overwriting.
[2021-05-22 11:55:59,083] destination /tmp/tmpohj1z9dk/.installer/16.1.2/__init__.py already exists, overwriting.
[2021-05-22 11:55:59,089] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/versions.py already exists, overwriting.
[2021-05-22 11:55:59,103] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/initscript.py already exists, overwriting.
[2021-05-22 11:55:59,110] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/update.py already exists, overwriting.
[2021-05-22 11:55:59,154] b'Not running in a virtual machine.\n'
[2021-05-22 11:55:59,154] b''
[2021-05-22 11:55:59,155] Running on a real machine!
[2021-05-22 11:55:59,172] b'524288\n'
[2021-05-22 11:55:59,173] b''
[2021-05-22 11:55:59,193] Cannot use vmware-app-control to shut down open VMs, defaulting to fallback message.
[2021-05-22 11:55:59,194] Ignored execution error: [Errno 2] No such file or directory: '/etc/init.d/vmware' when running command: [path('/etc/init.d/vmware'), 'stoppable']
[2021-05-22 11:55:59,246] b''
[2021-05-22 11:55:59,247] b''
[2021-05-22 11:56:11,995] Traceback (most recent call last):

 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/db.py", line 31, in decorator
   return func(*args, **kwargs)

 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/db.py", line 478, in Add
   cur = self._db.execute(statement, (path, mtime, fileType, component))

 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/db.py", line 233, in execute
   return self._db.execute(query, args)

sqlite3.IntegrityError: UNIQUE constraint failed: files.path


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/core/remoteinstaller.py", line 301, in MessageIn
   ret = method(*args, **kwargs)

 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/core/installer.py", line 399, in RegisterFile
   return self.proxyObject.RegisterFile(filename, mtime=mtime, fileType=fileType)

 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/core/localinstallerops.py", line 387, in RegisterFile
   db.files.Add(regfile, mtime, ftype, self._component.uid)

 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/db.py", line 33, in decorator
   raise IntegrityError(str(e))

vmis.core.errors.IntegrityError: UNIQUE constraint failed: files.path

[2021-05-22 11:56:11,996] [vmware-usbarbitrator 19.9.1] Installation failed, rolling back installation.
[2021-05-22 11:56:12,029] b'\x1b[71Gfailed\n'
[2021-05-22 11:56:12,030] b''
[2021-05-22 11:56:12,031] Unable to stop USB Arbitrator service.
[2021-05-22 11:56:12,033] Uninstalled Service: vmware-USBArbitrator
[2021-05-22 11:56:12,039] [vmware-usbarbitrator] /etc/vmware-installer/components/vmware-usbarbitrator/19.9.1/include/__pycache__/initscript.cpython-38.pyc did not exist
[2021-05-22 11:56:12,062] Top level exception handler
Traceback (most recent call last):
 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/core/transaction.py", line 472, in RunThreadedTransaction
   txn.Run()
 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/core/transaction.py", line 78, in Run
   self.get()()
 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/core/common.py", line 141, in Show
   wrap(i.PostInstall, txn.opts['ignoreErrors'])
 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/util/__init__.py", line 26, in wrap
   func(*args, **kwargs)
 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/core/install.py", line 346, in PostInstall
   self._installer.PostInstall(**self.args)
 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/core/remoteinstaller.py", line 161, in PostInstall
   return self.MessageOut(self.whoami(), old, new, upgrade)
 File "/tmp/vmis.VuVHFp/install/vmware-installer/vmis/core/remoteinstaller.py", line 433, in MessageOut
   raise execType(excepValue)
vmis.core.errors.IntegrityError: VMIS:UNIQUE constraint failed: files.path
[2021-05-22 11:56:12,083] destination /tmp/tmpohj1z9dk/.installer/16.1.2/vmware-workstation.py already exists, overwriting.
[2021-05-22 11:56:12,094] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/systemType.py already exists, overwriting.
[2021-05-22 11:56:12,102] destination /tmp/tmpohj1z9dk/.installer/16.1.2/__init__.py already exists, overwriting.
[2021-05-22 11:56:12,108] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/versions.py already exists, overwriting.
[2021-05-22 11:56:12,116] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/initscript.py already exists, overwriting.
[2021-05-22 11:56:12,125] destination /tmp/tmpohj1z9dk/.installer/16.1.2/include/update.py already exists, overwriting."

Any clue where the problem lies?

Thank you in advance

 

 

0 Kudos
15 Replies
scott28tt
VMware Employee
VMware Employee

You could use a “spoiler” to post long text dumps into, to make the thread easier to read and scroll - the toolbar icon for a “spoiler”  is a triangle with an exclamation mark inside.

This is the result:

Spoiler
You can see this text when you expand, but scroll right past if if you want to.

-------------------------------------------------------------------------------------------------------------------------------------------------------------
VMware Training & Certification blog
0 Kudos
bandes
Contributor
Contributor

Thank you for the tip.

I've seen that today another user with OpenSUSE Tumbleweed has exactly the same problem.

I'va tried to install the previous version of Workstation Pro 16.1.1, which did work in the past, and now is giving the same trouble.

So I wonder that maybe it is related to something that has changed in the rolling release of OpenSUSE

 

0 Kudos
Philou44
Contributor
Contributor

Hello,

I'm Opensuse Tumbleweed user and I try to install the VMware Player 16.1.2 with not exactly the same issue but that's fail...

I described the console message here : https://communities.vmware.com/t5/VMware-Workstation-Player/Impossible-to-Install-VMware-Player-16-1... 

I don't know if it's important but with the precedent version I was unable to use USB ports, nothing recognized...

I don't know if it's a Tumbleweed Kernel problem or if it's due to VMware....

But that very annoying for me, because VMware installer uninstall the previous version of VMware (16.1.1) ... So, actually I cannot use any Virtual Machine

Hope this will be fixed very soon

Best regards

Philippe

Vox Clamentis in Deserto
0 Kudos
bandes
Contributor
Contributor

Hi Philou44

I am exactly in the same situation like you.

One hint I suspect is that the new update of OpenSUSE eliminates the legacy 'chkconfig' for installing startup services, in which VMWARE still relies, So I had to start manually the vmware.service and vmware-USBArbitrator.services before starting the virtual machines. Then the USB periferics worked well.

But now with the 16.1.2, I do no have the software installed at all.

Bonjour Philippe

Enric

 

0 Kudos
Philou44
Contributor
Contributor

Hi Enric,

Yes, seems your diagnosis is right...

I have ask about this bug on the Opensuse French forum and now I want to alert the Kernel developpers but I don't know how exactly to do that...

If I have any news information I will be back here and ask you.

Thank you very much for your message and have a very nice day

Best regards

Philippe

Vox Clamentis in Deserto
0 Kudos
Philou44
Contributor
Contributor

Hi Enric,

This morning I have a little news on the French Forum : Someone tell me that the missing file "chkconfig" is bug declared on Opensuse Bugzilla.

Here : https://bugzilla.opensuse.org/show_bug.cgi?id=1186359 

And if you want, you can go and write some importants informations you have (like the console output you copy here)

Best regards

Philippe

Vox Clamentis in Deserto
0 Kudos
bandes
Contributor
Contributor

Merci Philippe

I will do.

Enric

0 Kudos
Philou44
Contributor
Contributor

Another info coming from BugZilla,

Seems to be one of contributeur wrote this for me this morning :

As a workaround you can comment-out this block:

## chkconfig fails on tumbleweed 05.21
#case "$1" in
#    enable)
#        chkconfig $ROOT --no-systemctl -s "$NAME" on
#        ;;
#    disable)
#        chkconfig $ROOT --no-systemctl -s "$NAME" off
#        ;;
#    is-enabled)
#        chkconfig $ROOT --no-systemctl -c "$NAME"
#        ;;
#    *)
#        usage ;;
#esac

But thats only a workaround, not the solution yet.

But as I answer to this guys, I have no idea how to use this workaround...

In what file ? where ?

And I have no idea if it's dangerous for the stability of the system...

If you know more about ... I give you this info as is...

Regards

Philippe

Vox Clamentis in Deserto
0 Kudos
gmoney
Contributor
Contributor

I also had the same problem as everyone else with Tumbleweed and 16.1.2 but was able to get it to install and work correctly by adding --ignore-errors (./VMware-Workstation-Full-16.1.2-17966106.x86_64.bundle --ignore-errors)

0 Kudos
Philou44
Contributor
Contributor

Hi gmoney,

Thank you very much, your workaround seems to work for installation...
But now I have the same problem I faced before the update.

After the first installation VMWare ask for a compilation of VMON and VNET, I made this and Virtual machine start OK...
But doesn't reconize the USB...

And if I restart the computer (host) VMware start but when I whant to start a Virtual machine I have 2 errors messages and VMWare stop

1er Error message :

Could not open /dev/vmmon: No such file or directory.
Please make sure that the kernel module `vmmon' is loaded.

2st error message :

Failed to initialize monitor device.

I have to run this script in console (root) :

vmware-modconfig --console --install-all

After that, WMvare can start a Virtual Machine but the USB still unreconized...

I'm lost...

Regards

Philippe

Vox Clamentis in Deserto
0 Kudos
Philou44
Contributor
Contributor

Hi people...

Just a little update...

When I run the commands below before to start VMware VM every thing work fine...

There is a problem with the start/stop service ...

systemctl start vmware.service
systemctl start vmware-USBArbitrator

Regards

Philippe

Vox Clamentis in Deserto
0 Kudos
gruna
Enthusiast
Enthusiast

systemctl start vmware-USBArbitrator
failed to start vmware-USBArbitrator.service: Unit vmware-USBArbitrator.service not found.


0 Kudos
Philou44
Contributor
Contributor

Hi All,


Another update of the problem we are interresting in, I have posted the summary below in OpenSuse Forum :

Seems there is not one but more problem with VMWare 16...

Before update from 16.1.1 to 16.1.2 I had a problem with the USB unrecognized.
Run in root the commands below fixe the problem but it's labile and I have to do that every time I start VMWare

systemctl start vmware-USBArbitrator

The, with the update came a major problem because I can't install the new version and the Installer uninstall the "old" VMware (16.1.1) ... Result the VMware was gone...

I have found on another forum the workaround below :

./VMware-Workstation-Full-16.1.2-17966106.x86_64.bundle --ignore-errors


Add the option : --ignore-errors make the installer to run and finally the new version of VMware install succeffuly.
But... The problem with USB still here and I have always to run the command : systemctl start vmware-USBArbitrator


I have no competency to understand and explain what occur, I think mean be there is two problems, one coming from OpenSuse TW (compilation) one may be VMware ? or again some lib or dependency missing ... ??

Actually with all this workaround I can use my VMware when I need but it is not "elegant"...

Hope this will help
Best regards
Philippe

Vox Clamentis in Deserto
0 Kudos
bandes
Contributor
Contributor

I've got finally all working.

Steps:

1. Install vmware workstation with the --ignore-errors flag:

sudo ./VMware-Workstation-Full-16.1.2-17966106.x86_64.bundle  --ignore-errors


2. recompile de modules with:

sudo vmware-modconfig --console --install-all

3. Start before using the Woerkstation programme the services (Tumbleweed don't start it automatically due to the no longer availabiliry of the legacy command for  startup: chkconfig) with:

sudo systemctl start vmware

sudo systemctl start vmware-USBArbitrator

Thanks to all who have contribute in this thread

Now we need the solid solution: a) or at list b)

a) from vmware to migrate the startup services to systemd

b) Open SUSE to restore the backwards compatibility with chkconfig

Enric

0 Kudos
gruna
Enthusiast
Enthusiast

It still does not work.

systemctl start vmware-USBArbitrator
Failed to start vmware-USBArbitrator.service: Unit vmware-USBArbitrator.service not found.

0 Kudos